Subject: bug#41361: Fwd: Re: python.el: improve sexp-based navigation or make it optional?

From: João Távora <[email-masked]>
Date: Thu, 21 May 2020 14:42:35 +0100

Stefan Kangas <[email-masked]> writes:

> Andreas Röhler <[email-masked]> writes:
>
>> maybe make forward-sexp-function customizable. Currently that var is
>> set inside the derived mode:
>
> I agree that this should be customizable.

I too am a fan of sexp navigation (C-M-f, C-M-b, etc.)  If this
navigation in indeed superior, we could consider making it the default
for python-mode?  Something similar thing was done recently for
nxml-mode, by changing nxml-sexp-element-flag from nil to t.  I liked
this change very much.

João